Not logged in. · Lost password · Register
Forum: General Help and Support Plugins RSS
topbarsyntax Plugin - PHP 7.3 Compatibility
Avatar
florious #1
User title: Floarea
Member since Jun 2014 · 20 posts
Group memberships: Members
Show profile · Link to this post
Subject: topbarsyntax Plugin - PHP 7.3 Compatibility
I know, the world is divided between php7 and non php7 users. My most stable system I use php 5.3.5, but some plugins begin to not work anymore.

Maybe it could be a good idea to insert in DW the download button in two sections: ante and post php7. I bet that in 2029 30%from users like me will still use php 5.6, or even lower..

Please update topbarsyntax Plugin for PHP 7.3, changing at least the following lines in Syntax.php

function handle($match, $state, $pos, &$handler
in
function handle($match, $state, $pos, Doku_Handler $handler

si

function render($mode, &$renderer, $data
in
function render($mode, Doku_Renderer $renderer, $data
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2019-11-17, 12:30:28 (UTC +01:00)